VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Typedefs | Variables
VSTGUI::Animation Namespace Reference

## Classes
class | AlphaValueAnimation
| animates the alpha value of the view More...
class | ViewSizeAnimation
| animates the view size of the view More...
class | ExchangeViewAnimation
| exchange a view by another view with an animation More...
class | ControlValueAnimation
| animates the value of a CControl More...
class | Animator
| Animation runner. More...
class | FinishedMessage
| Animation Finished Message Object. More...
class | IAnimationTarget
| Animation target interface. More...
class | ITimingFunction
| Animation timing function interface. More...
class | TimingFunctionBase
class | LinearTimingFunction
class | PowerTimingFunction
class | InterpolationTimingFunction
class | CubicBezierTimingFunction
class | RepeatTimingFunction

## Typedefs
using | DoneFunction = std::function< void(CView *, const IdStringPtr, IAnimationTarget *)>

## Variables
IdStringPtr | kMsgAnimationFinished = "kMsgAnimationFinished"
| message sent to the notificationObject when the animation has finished, the sender parameter will be a FinishedMessage object.

## Typedef Documentation

using DoneFunction = std::function<void (CView*, const IdStringPtr, IAnimationTarget*)>

## Variable Documentation

IdStringPtr kMsgAnimationFinished = "kMsgAnimationFinished"

message sent to the notificationObject when the animation has finished, the sender parameter will be a FinishedMessage object.